package com.qmth.distributed.print;

import cn.hutool.core.date.DateUtil;
import com.qmth.boot.core.fss.service.FileService;
import com.qmth.boot.core.fss.store.FileStore;
import com.qmth.boot.core.fss.utils.FssUtils;
import com.qmth.teachcloud.common.contant.SystemConstant;
import com.qmth.teachcloud.common.enums.UploadFileEnum;
import org.apache.commons.codec.digest.DigestUtils;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;
import java.io.File;
import java.io.FileInputStream;

/**
 * @Description: 新存储系统测试类
 * @Author: CaoZixuan
 * @Date: 2021-08-16
 */
@SpringBootTest
@RunWith(SpringRunner.class)
public class FssTest {
    private final static Logger log = LoggerFactory.getLogger(FssTest.class);
    @Resource
    private FileService fileService;

    @Test
    public void uploadFile1() throws Exception {
        FileStore fileStore1 = fileService.getFileStore("public");
        File file1 = new File("/Users/king/Downloads/distributed-print.log");
        fileStore1.write("distributed-print.log", new FileInputStream(file1), DigestUtils.md5Hex(new FileInputStream(file1)));

        FileStore fileStore2 = fileService.getFileStore("private");
        File file2 = new File("/Users/king/Downloads/dump-distributed-v2.2.0-202108121702.sql");
        fileStore2.write("dump-distributed-v2.2.0-202108121702.sql", new FileInputStream(file2), DigestUtils.md5Hex(new FileInputStream(file2)));
    }

    @Test
    public void uploadFile() throws Exception {
        UploadFileEnum type = UploadFileEnum.FILE;
        FileStore fileStore = fileService.getFileStore("public");
        File file = new File("C:\\Users\\ASUS\\Desktop\\excel导入临时\\课程导入模板.xlsx");
        String date = DateUtil.today().replace("-", "/");
        System.out.println(file.getName());
        System.out.println(date);
        String path = FssUtils.buildPath(type.getTitle(), date, SystemConstant.getUuid() + "." + SystemConstant.XLSX);
        System.out.println(path);
        fileStore.write(path, new FileInputStream(file), DigestUtils.md5Hex(new FileInputStream(file)));
    }




}
